ApiFuseApiFuse
API Reference

택배 최신 배송 상태

운송장 번호로 현재 배송 상태와 최근 이벤트만 조회합니다.

택배 최신 배송 상태

전체 히스토리 없이 현재 배송 상태와 마지막 이벤트만 빠르게 반환합니다.

엔드포인트

GET /v1/delivery-status

Upstream

  • Base URL: ``
  • Path: /tracking

요청 파라미터

파라미터타입필수기본값설명
carrier_idstring-택배사 ID
tracking_numberstring-운송장 번호

요청 예시

{
  "carrier_id": "kr.cjlogistics",
  "tracking_number": "1234567890"
}

응답 스키마

아래 스키마는 adapter의 Zod output schema에서 직접 생성됩니다.

{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "carrier": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "name": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "name"
      ],
      "additionalProperties": false
    },
    "tracking_number": {
      "type": "string"
    },
    "status": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "enum": [
            "UNKNOWN",
            "INFORMATION_RECEIVED",
            "AT_PICKUP",
            "IN_TRANSIT",
            "OUT_FOR_DELIVERY",
            "ATTEMPT_FAIL",
            "DELIVERED",
            "AVAILABLE_FOR_PICKUP",
            "EXCEPTION"
          ]
        },
        "text": {
          "type": "string"
        }
      },
      "required": [
        "id",
        "text"
      ],
      "additionalProperties": false
    },
    "latest_event": {
      "anyOf": [
        {
          "type": "object",
          "properties": {
            "time": {
              "type": "string"
            },
            "status": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "string",
                  "enum": [
                    "UNKNOWN",
                    "INFORMATION_RECEIVED",
                    "AT_PICKUP",
                    "IN_TRANSIT",
                    "OUT_FOR_DELIVERY",
                    "ATTEMPT_FAIL",
                    "DELIVERED",
                    "AVAILABLE_FOR_PICKUP",
                    "EXCEPTION"
                  ]
                },
                "text": {
                  "type": "string"
                }
              },
              "required": [
                "id",
                "text"
              ],
              "additionalProperties": false
            },
            "location": {
              "anyOf": [
                {
                  "type": "object",
                  "properties": {
                    "name": {
                      "anyOf": [
                        {
                          "type": "string"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    }
                  },
                  "required": [
                    "name"
                  ],
                  "additionalProperties": false
                },
                {
                  "type": "null"
                }
              ]
            },
            "description": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "required": [
            "time",
            "status",
            "location",
            "description"
          ],
          "additionalProperties": false
        },
        {
          "type": "null"
        }
      ]
    }
  },
  "required": [
    "carrier",
    "tracking_number",
    "status",
    "latest_event"
  ],
  "additionalProperties": false
}

응답 예시

{
  "data": {
    "carrier": {
      "id": "kr.cjlogistics",
      "name": "CJ대한통운"
    },
    "tracking_number": "1234567890",
    "status": {
      "id": "DELIVERED",
      "text": "배달완료"
    },
    "latest_event": {
      "time": "2026-03-24T14:00:00+09:00",
      "status": {
        "id": "DELIVERED",
        "text": "배달완료"
      },
      "location": {
        "name": "강남구"
      },
      "description": "배달완료"
    }
  },
  "pagination": null,
  "meta": {
    "source": "delivery-status",
    "fetchedAt": "2026-03-24T00:00:00.000Z"
  }
}

On this page